Subject: Re: bug#61914: IceCat does not start with en_GB.utf8 locale
From: Maxim Cournoyer <[email-masked]>
To: Timo Wilken <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Aug 2023 18:45:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Timo,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> Maxim Cournoyer <[email-masked]> writes:
>>
>> [...]
>>
>>> Browsing about:config, I see:
>>>
>>> extensions.systemAddon.update.enabled	false
>>>
>>> I wonder if this could make a different to be set to true instead.  It's
>>> set to false by the makeicecat.sh script we run to transform the Firefox
>>> source into GNU IceCat.  I guess we'll have to look at the source for
>>> more clues as to how language pack updates are handled exactly.
>>
>> I have the same problem, where the French language pack I used with a
>> previous version of IceCat (102.7.0) is not updating to the
>> system-provided one.  Setting 'extensions.systemAddon.update.enabled' to
>> 'true' does not help.
>>
>> I've now reported the issue upstream:
>> https://bugzilla.mozilla.org/show_bug.cgi?id=1820196.
>
> Trying to reproduce the above, I'm not sure if I still can!  One
> hypothesis, is that perhaps I had installed the french language pack
> (the .xpi file produced by Guix) manually while testing.  I also
> remember testing other languages, such as with LC_ALL=es_ES.utf8, and I
> don't see the problem where that one "stuck".  It could be because I
> hadn't tried with an older version, but not having a clear reproducers
> make things muddy.
>
> Could it be that you had previously installed the language packs
> manually?

I haven't heard back from you, and I wasn't able to reproduce the
problem, so I'm tentatively closing this.  Please do reopen if you still
encounter the problem (and ideally, can narrow down a reproducer).

-- 
Thanks,
Maxim